# Port Statistics API **(DEPRECATED)** ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. ## Get a Specified Port's Statistics[​](#get-a-specified-ports-statistics "Direct link to Get a Specified Port's Statistics") To retrieve the bandwidth utilization statistics port, send a `GET` request to the [`/fabric/v4/ports/{uuid}/stats`](https://docs.equinix.com/api-catalog/fabricv4/#tag/Statistics/operation/getPortStatsByPortUuid) endpoint. Specify the port by ID in the path of the request. Specify the time frame for the statistics as query parameters using ISO-8601 standard date-time stamps. | | | | ---------------- | ------------------------------- | | Method | `GET` | | URL or Endpoint | `/fabric/v4/ports/{uuid}/stats` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | `uuid` | | Query Parameters | `startDateTime`, `endDateTime` | | Body Parameters | Not applicable | Sample cURL request: ``` curl -X GET 'https://api.equinix.com/fabric/v4/ports/{port_id}/stats?startDateTime=2021-01-07T19:26:22Z&endDateTime=2021-01-26T19:55:22Z' -H 'content-type: application/json' -H 'authorization: Bearer ' ``` Sample response: ``` {     "type": "XF_PORT",     "uuid": "xxxxx191-xx70-xxxx-xx04-xxxxxxxa37xx",     "name": "Equinix-EM-CX-xxx-L-Dot1q-BO-100G-PRI-xx",     "bandwidth": 10000,     "stats": {         "startDateTime": "2021-02-24T16:00:00Z",         "endDateTime": "2021-02-25T23:59:44Z",         "bandwidthUtilization": {         "unit": "Mbps",         "metricInterval": "PT5M",         "inbound": {             "max": 36.46022222224523,             "mean": 12.681258259259257,             "lastPolled": 24.67873548,             "metrics": [             {                 "intervalEndDateTime": "2021-02-24T16:00:00Z",                 "max": 24.197777777777777,                 "mean": 9.460203703703565             },             {                 "intervalEndDateTime": "2021-02-24T16:05:00Z",                 "max": 29.237066666666667,                 "mean": 11.487487592592595             },             {                 "intervalEndDateTime": "2021-02-24T16:10:00Z",                 "max": 31.2726757889999,                 "mean": 11.77661203703704             },             {                 "intervalEndDateTime": "2021-03-04T16:15:00Z",                 "max": 28.179666666666666,                 "mean": 7.414631481481509             },             {                 "intervalEndDateTime": "2021-03-15T16:20:00Z",                 "max": 29.29311111111111,                 "mean": 6.247431481481508             }             ]         },         "outbound": {             "max": 60.33548888888889,             "mean": 41.22711543985719,             "lastPolled": 55.14977777777778,             "metrics": [             {                 "intervalEndDateTime": "2021-02-24T16:00:00Z",                 "max": 53.790333333333336,                 "mean": 39.80057592592591             },             {                 "intervalEndDateTime": "2021-02-24T16:05:00Z",                 "max": 57.353,                 "mean": 38.678568800295             },             {                 "intervalEndDateTime": "2021-02-24T16:10:00Z",                 "max": 59.32777777777778,                 "mean": 35.08689444444445             },             {                 "intervalEndDateTime": "2021-02-24T16:15:00Z",                 "max": 537274933333333300,                 "mean": 23.855259259259284             },             {                 "intervalEndDateTime": "2021-02-24T16:20:00Z",                 "max": 57.75604444444444,                 "mean": 41.36731129629629             }             ]         }         }     } } ``` For detailed descriptions of the response fields, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/#tag/Statistics/operation/getPortStatsByPortUuid).